;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.

.module ASSETS

.globl _spr_player
spr_player_w  = 3
spr_player_h  = 16

spr_babosa_w = 3
spr_babosa_h = 8

spr_spider_w = 3
spr_spider_h = 10

spr_ghost_w = 2
spr_ghost_h = 13

spr_bat_w = 4
spr_bat_h = 9


spr_end_w = 2
spr_end_h = 8


.globl _song_mute
.globl _song_menu
.globl _song_ingame
.globl _song_death
.globl _song_next

;;   Atheliere
;;      Stop right
.globl _sp_athe_00
.globl _sp_athe_01
.globl _sp_athe_02
;;      Right
.globl _sp_athe_03
.globl _sp_athe_04
.globl _sp_athe_05
;;      Stop left
.globl _sp_athe_06
.globl _sp_athe_07
.globl _sp_athe_08
;;      Left
.globl _sp_athe_09
.globl _sp_athe_10
.globl _sp_athe_11
;;      down-right
.globl _sp_athe_12
.globl _sp_athe_13
.globl _sp_athe_14
;;      up-right
.globl _sp_athe_15
.globl _sp_athe_16
.globl _sp_athe_17
;;      down-left
.globl _sp_athe_18
.globl _sp_athe_19
.globl _sp_athe_20
;;      up-left
.globl _sp_athe_21
.globl _sp_athe_22
.globl _sp_athe_23
;;      death
.globl _sp_athe_24
.globl _sp_athe_25
.globl _sp_athe_26
.globl _sp_athe_27
.globl _sp_athe_28
.globl _sp_athe_29
.globl _sp_athe_30
;;      left-wall
.globl _sp_athe_31
;;      right-wall

.globl _sp_athe_32


;;  Babosa
;;      right
.globl _sp_bab_0
.globl _sp_bab_1
;;      left
.globl _sp_bab_2
.globl _sp_bab_3

;;   Spider
;;      up
.globl _sp_spdr_0
.globl _sp_spdr_1
.globl _sp_spdr_2
;;      down
.globl _sp_spdr_3
.globl _sp_spdr_4
.globl _sp_spdr_5

;;  Ghost
;;     right
.globl _sp_ghost_0
;;     left
.globl _sp_ghost_1

;;  Bat
;;      up
.globl _sp_bat_0
;;      down
.globl _sp_bat_1

;;  End
.globl _sp_end


;; tileset
.globl _tileset_00
