;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.

.module ENTITY_MANAGER

;;================================================
;; CONSTANTS
;;================================================

MAX_ENTITIES = 10

;;================================================
;; PUBLIC VARIABLES
;;================================================
nullptr = 0x0000
.globl m_entities
.globl m_next_free_entity
.globl m_alive_entities
.globl m_type_invalid_at_end

;;================================================
;; PRIVATE VARIABLES
;;================================================


;;================================================
;; PUBLIC ROUTINES
;;================================================

.globl man_entity_init
.globl man_entity_for_all
.globl man_entity_for_all_matching
.globl man_entity_for_all_pairs_matching
.globl man_entity_freeSpace
.globl man_entity_create_one_entity
.globl man_entity_set4destruction
.globl man_entity_set4destruction_all_entities
.globl man_entity_update
.globl man_destroy_one_entity
.globl man_entity_disable_cmps_movable


;;================================================
;; PRIVATE ROUTINES
;;================================================
