;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.

.module RENDER_SYSTEM

;;================================================
;; CONSTANTS
;;================================================

memVideoPtr = 0xC000
backgroundColor  = 0x00
screen_height = 200
screen_width = 80

;;================================================
;; PUBLIC VARIABLES
;;================================================

.globl _main_palette

;;================================================
;; PRIVATE VARIABLES
;;================================================


;;================================================
;; PUBLIC ROUTINES
;;================================================

.globl sys_render_init
.globl sys_render_update
.globl sys_render_wait
.globl sys_render_drawTilemap
.globl sys_render_draw_death_animation

;;================================================
;; PRIVATE ROUTINES
;;================================================

.globl sys_render_clean_prevPtr