;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.

.include "cpctelera.h.s"
.include "cpct_functions.h.s"
.include "man/entity.h.s"
.include "man/game.h.s"
.include "sys/physics.h.s"
.include "sys/render.h.s"
.include "sys/animation.h.s"
.include "sys/collisions.h.s"
.include "sys/ai_control.h.s"

.area _DATA
.area _CODE
.globl _song_menu
_main::
   call cpct_disableFirmware_asm

   call man_entity_init
   call sys_ai_control_init
   call sys_render_init
   call sys_physics_init
   call sys_animation_init
   call sys_collisions_init
   
   
   call man_game_init

   call man_game_play

   loop:
      jr loop