
;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.
.include "musics.h.s"
.include "assets/assets.h.s"
.include "cpct_functions.h.s"
.include "../sys/music.h.s"
.include "cpctelera.h.s"
.include "../sys/input.h.s"

enable_music: .db #1

man_music_init_music_25::
   call sys_music_enable_music_25
   call cpct_akp_musicInit_asm
   ret

man_music_init_music_50::
   call sys_music_enable_music_50
   call cpct_akp_musicInit_asm
   ret

man_music_mute_music::
   ld a, (#enable_music)
   xor #1
   jr z, _not

   ld a, #1
   ld (#enable_music), a
   call sys_input_wait_releaseKey
   jr _next
_not:
   ld a, #0
   ld (#enable_music), a
   call sys_input_wait_releaseKey
   
_next:
   call man_music_enable_music
   ret

man_music_enable_music::
   ld a, (#enable_music)
   cp #0
   jr z, _mute
   ld de, #_song_ingame
   call sys_music_enable_music_25
   call cpct_akp_musicInit_asm
   jr _jump
_mute:
   ld de, #_song_mute
   call cpct_akp_musicInit_asm
_jump:
   ret



