;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.

.module AI_CONTROL_SYSTEM

;;================================================
;; CONSTANTS
;;================================================

babosa_velocity = 0x0030 
spider_velocity = #2

ghost_velocity_x = 0x0030

ghost_velocity_y = 0x0050

bat_velocity_x = 0x0030

bat_velocity_y = 0x0090



;;================================================
;; PUBLIC VARIABLES
;;================================================



;;================================================
;; PRIVATE VARIABLES
;;================================================



;;================================================
;; PUBLIC ROUTINES
;;================================================

.globl sys_ai_control_init
.globl sys_ai_control_update
.globl sys_ai_control_move_on_y_axis
.globl sys_ai_control_move_on_x_axis
.globl sys_ai_control_ghost_wave
.globl sys_ai_control_bat_wave

;;================================================
;; PRIVATE ROUTINES
;;================================================