;;	Copyright © CrackTime Studios - 2020
;;
;;	This file is part of Poisoned Escape
;;
;;    Poisoned Escape is free software: you can redistribute it and/or modify
;;    it under the terms of the GNU General Public License as published by
;;    the Free Software Foundation, either version 3 of the License, or
;;    (at your option) any later version.
;;
;;    Poisoned Escape is distributed in the hope that it will be useful,
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;    GNU General Public License for more details.
;;
;;    You should have received a copy of the GNU General Public License
;;    along with Poisoned Escape.  If not, see <https://www.gnu.org/licenses/>.

.module COLLISION_SYSTEM

;;================================================
;; CONSTANTS
;;================================================



collision_up_bit      = 0
collision_left_bit    = 1
collision_right_bit   = 2
collision_down_bit    = 3
collision_enemy_bit  = 4

;; Flags: 0x01, 0x02, ... , 0x80
collision_up      = #0x01
collision_left    = #0x02
collision_right   = #0x04
collision_down    = #0x08
collision_enemy   = #0x10 

;;tile_enemy_flag       = #0x10 ya no
first_enemy_tile_pos  = 22
first_collisionable_tile_pos  = 3  

;;================================================
;; PUBLIC VARIABLES
;;================================================



;;================================================
;; PRIVATE VARIABLES
;;================================================



;;================================================
;; PUBLIC ROUTINES
;;================================================

.globl sys_collisions_init
.globl sys_collisions_update
.globl sys_collisions_checkAndTreat_tile_collisionX
.globl sys_collisions_checkAndTreat_tile_collisionY

;;================================================
;; PRIVATE ROUTINES
;;================================================
